Bug 15228 - Be more explicit about headers in redirects.
Summary: Be more explicit about headers in redirects.
Status: RESOLVED FIXED
Alias: None
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: ---
Assignee: Silvia Pfeiffer
QA Contact: HTML WG Bugzilla archive list
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-16 10:04 UTC by contributor
Modified: 2012-10-14 12:59 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2011-12-16 10:04:09 UTC
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/fetching-resources.html
Multipage: http://www.whatwg.org/C#fetching-resources
Complete: http://www.whatwg.org/c#fetching-resources

Comment:
Be more explicit about headers in redirects.

Posted from: 83.85.115.123 by annevk@opera.com
User agent: Opera/9.80 (Macintosh; Intel Mac OS X 10.7.2; U; en) Presto/2.10.229 Version/11.60
Comment 1 Anne 2011-12-16 10:05:55 UTC
Apparently it depends on the header whether it is preserved in redirects or not and it is not possible to make a general rule for them. However, all headers have to deal with ("author request headers" in XMLHttpRequest, Last-Event-ID, Ping-To, Ping-From) need to be preserved across redirects so we should make that extra clear in the fetching algorithm.
Comment 3 Ian 'Hixie' Hickson 2012-01-28 22:07:12 UTC
So... what do I put in the spec here?
Comment 4 Ian 'Hixie' Hickson 2012-02-01 00:21:23 UTC
(waiting for anne's return)
Comment 5 Anne 2012-02-02 18:32:00 UTC
Something along the lines of "when following a redirect, include each header included in the original request, unless there are specific requirements for the header in question (e.g. Referer changes during redirects)".
Comment 6 contributor 2012-07-18 07:15:13 UTC
This bug was cloned to create bug 17903 as part of operation convergence.
Comment 7 Silvia Pfeiffer 2012-10-14 12:59:12 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy-v2.html

Status: Accepted
Change Description:
https://github.com/w3c/html/commit/1cae474ed786803cdca2b15bcadecc41ed9afa3c
Rationale: accepted WHATWG change